<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

class DataRowsTableSeeder extends Seeder
{

    /**
     * Auto generated seed file
     *
     * @return void
     */
    public function run()
    {
        

        \DB::table('data_rows')->delete();
        
        \DB::table('data_rows')->insert(array (
            0 => 
            array (
                'id' => 1,
                'data_type_id' => 1,
                'field' => 'id',
                'type' => 'number',
                'display_name' => 'ID',
                'required' => 1,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => '',
                'order' => 1,
            ),
            1 => 
            array (
                'id' => 2,
                'data_type_id' => 1,
                'field' => 'author_id',
                'type' => 'text',
                'display_name' => 'Author',
                'required' => 1,
                'browse' => 0,
                'read' => 1,
                'edit' => 1,
                'add' => 0,
                'delete' => 1,
                'details' => '',
                'order' => 2,
            ),
            2 => 
            array (
                'id' => 3,
                'data_type_id' => 1,
                'field' => 'category_id',
                'type' => 'text',
                'display_name' => 'Category',
                'required' => 1,
                'browse' => 0,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 0,
                'details' => '',
                'order' => 3,
            ),
            3 => 
            array (
                'id' => 4,
                'data_type_id' => 1,
                'field' => 'title',
                'type' => 'text',
                'display_name' => 'Title',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '',
                'order' => 4,
            ),
            4 => 
            array (
                'id' => 5,
                'data_type_id' => 1,
                'field' => 'excerpt',
                'type' => 'text_area',
                'display_name' => 'excerpt',
                'required' => 1,
                'browse' => 0,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '',
                'order' => 5,
            ),
            5 => 
            array (
                'id' => 6,
                'data_type_id' => 1,
                'field' => 'body',
                'type' => 'rich_text_box',
                'display_name' => 'Body',
                'required' => 1,
                'browse' => 0,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '',
                'order' => 6,
            ),
            6 => 
            array (
                'id' => 7,
                'data_type_id' => 1,
                'field' => 'image',
                'type' => 'image',
                'display_name' => 'Post Image',
                'required' => 0,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '{"resize":{"width":"1000","height":"null"},"quality":"70%","upsize":true,"thumbnails":[{"name":"medium","scale":"50%"},{"name":"small","scale":"25%"},{"name":"cropped","crop":{"width":"300","height":"250"}}]}',
                'order' => 7,
            ),
            7 => 
            array (
                'id' => 8,
                'data_type_id' => 1,
                'field' => 'slug',
                'type' => 'text',
                'display_name' => 'slug',
                'required' => 1,
                'browse' => 0,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '{"slugify":{"origin":"title","forceUpdate":true}}',
                'order' => 8,
            ),
            8 => 
            array (
                'id' => 9,
                'data_type_id' => 1,
                'field' => 'meta_description',
                'type' => 'text_area',
                'display_name' => 'meta_description',
                'required' => 1,
                'browse' => 0,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '',
                'order' => 9,
            ),
            9 => 
            array (
                'id' => 10,
                'data_type_id' => 1,
                'field' => 'meta_keywords',
                'type' => 'text_area',
                'display_name' => 'meta_keywords',
                'required' => 1,
                'browse' => 0,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '',
                'order' => 10,
            ),
            10 => 
            array (
                'id' => 11,
                'data_type_id' => 1,
                'field' => 'status',
                'type' => 'select_dropdown',
                'display_name' => 'status',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '{"default":"DRAFT","options":{"PUBLISHED":"published","DRAFT":"draft","PENDING":"pending"}}',
                'order' => 11,
            ),
            11 => 
            array (
                'id' => 12,
                'data_type_id' => 1,
                'field' => 'created_at',
                'type' => 'timestamp',
                'display_name' => 'created_at',
                'required' => 0,
                'browse' => 1,
                'read' => 1,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => '',
                'order' => 12,
            ),
            12 => 
            array (
                'id' => 13,
                'data_type_id' => 1,
                'field' => 'updated_at',
                'type' => 'timestamp',
                'display_name' => 'updated_at',
                'required' => 0,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => '',
                'order' => 13,
            ),
            13 => 
            array (
                'id' => 14,
                'data_type_id' => 2,
                'field' => 'id',
                'type' => 'number',
                'display_name' => 'id',
                'required' => 1,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => '',
                'order' => 1,
            ),
            14 => 
            array (
                'id' => 15,
                'data_type_id' => 2,
                'field' => 'author_id',
                'type' => 'text',
                'display_name' => 'author_id',
                'required' => 1,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => '',
                'order' => 2,
            ),
            15 => 
            array (
                'id' => 16,
                'data_type_id' => 2,
                'field' => 'title',
                'type' => 'text',
                'display_name' => 'title',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '',
                'order' => 3,
            ),
            16 => 
            array (
                'id' => 17,
                'data_type_id' => 2,
                'field' => 'excerpt',
                'type' => 'text_area',
                'display_name' => 'excerpt',
                'required' => 1,
                'browse' => 0,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '',
                'order' => 4,
            ),
            17 => 
            array (
                'id' => 18,
                'data_type_id' => 2,
                'field' => 'body',
                'type' => 'rich_text_box',
                'display_name' => 'body',
                'required' => 1,
                'browse' => 0,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '',
                'order' => 5,
            ),
            18 => 
            array (
                'id' => 19,
                'data_type_id' => 2,
                'field' => 'slug',
                'type' => 'text',
                'display_name' => 'slug',
                'required' => 1,
                'browse' => 0,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '{"slugify":{"origin":"title"}}',
                'order' => 6,
            ),
            19 => 
            array (
                'id' => 20,
                'data_type_id' => 2,
                'field' => 'meta_description',
                'type' => 'text',
                'display_name' => 'meta_description',
                'required' => 1,
                'browse' => 0,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '',
                'order' => 7,
            ),
            20 => 
            array (
                'id' => 21,
                'data_type_id' => 2,
                'field' => 'meta_keywords',
                'type' => 'text',
                'display_name' => 'meta_keywords',
                'required' => 1,
                'browse' => 0,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '',
                'order' => 8,
            ),
            21 => 
            array (
                'id' => 22,
                'data_type_id' => 2,
                'field' => 'status',
                'type' => 'select_dropdown',
                'display_name' => 'status',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '{"default":"INACTIVE","options":{"INACTIVE":"INACTIVE","ACTIVE":"ACTIVE"}}',
                'order' => 9,
            ),
            22 => 
            array (
                'id' => 23,
                'data_type_id' => 2,
                'field' => 'created_at',
                'type' => 'timestamp',
                'display_name' => 'created_at',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => '',
                'order' => 10,
            ),
            23 => 
            array (
                'id' => 24,
                'data_type_id' => 2,
                'field' => 'updated_at',
                'type' => 'timestamp',
                'display_name' => 'updated_at',
                'required' => 1,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => '',
                'order' => 11,
            ),
            24 => 
            array (
                'id' => 25,
                'data_type_id' => 2,
                'field' => 'image',
                'type' => 'image',
                'display_name' => 'image',
                'required' => 0,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '',
                'order' => 12,
            ),
            25 => 
            array (
                'id' => 26,
                'data_type_id' => 3,
                'field' => 'id',
                'type' => 'number',
                'display_name' => 'id',
                'required' => 1,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => NULL,
                'order' => 1,
            ),
            26 => 
            array (
                'id' => 27,
                'data_type_id' => 3,
                'field' => 'name',
                'type' => 'text',
                'display_name' => 'name',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => NULL,
                'order' => 2,
            ),
            27 => 
            array (
                'id' => 28,
                'data_type_id' => 3,
                'field' => 'email',
                'type' => 'text',
                'display_name' => 'email',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => NULL,
                'order' => 3,
            ),
            28 => 
            array (
                'id' => 29,
                'data_type_id' => 3,
                'field' => 'password',
                'type' => 'password',
                'display_name' => 'password',
                'required' => 1,
                'browse' => 0,
                'read' => 0,
                'edit' => 1,
                'add' => 1,
                'delete' => 0,
                'details' => NULL,
                'order' => 5,
            ),
            29 => 
            array (
                'id' => 30,
                'data_type_id' => 3,
                'field' => 'user_belongsto_role_relationship',
                'type' => 'relationship',
                'display_name' => 'Role',
                'required' => 0,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 0,
                'details' => '{"model":"TCG\\\\Voyager\\\\Models\\\\Role","table":"roles","type":"belongsToMany","column":"role_id","key":"id","label":"display_name","pivot_table":"user_roles","pivot":"1","taggable":"on"}',
                'order' => 11,
            ),
            30 => 
            array (
                'id' => 31,
                'data_type_id' => 3,
                'field' => 'remember_token',
                'type' => 'text',
                'display_name' => 'remember_token',
                'required' => 0,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => NULL,
                'order' => 6,
            ),
            31 => 
            array (
                'id' => 32,
                'data_type_id' => 3,
                'field' => 'created_at',
                'type' => 'timestamp',
                'display_name' => 'created_at',
                'required' => 0,
                'browse' => 1,
                'read' => 1,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => NULL,
                'order' => 7,
            ),
            32 => 
            array (
                'id' => 33,
                'data_type_id' => 3,
                'field' => 'updated_at',
                'type' => 'timestamp',
                'display_name' => 'updated_at',
                'required' => 0,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => NULL,
                'order' => 8,
            ),
            33 => 
            array (
                'id' => 34,
                'data_type_id' => 3,
                'field' => 'avatar',
                'type' => 'image',
                'display_name' => 'avatar',
                'required' => 0,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => NULL,
                'order' => 9,
            ),
            34 => 
            array (
                'id' => 35,
                'data_type_id' => 5,
                'field' => 'id',
                'type' => 'number',
                'display_name' => 'id',
                'required' => 1,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => '',
                'order' => 1,
            ),
            35 => 
            array (
                'id' => 36,
                'data_type_id' => 5,
                'field' => 'name',
                'type' => 'text',
                'display_name' => 'name',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '',
                'order' => 2,
            ),
            36 => 
            array (
                'id' => 37,
                'data_type_id' => 5,
                'field' => 'created_at',
                'type' => 'timestamp',
                'display_name' => 'created_at',
                'required' => 0,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => '',
                'order' => 3,
            ),
            37 => 
            array (
                'id' => 38,
                'data_type_id' => 5,
                'field' => 'updated_at',
                'type' => 'timestamp',
                'display_name' => 'updated_at',
                'required' => 0,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => '',
                'order' => 4,
            ),
            38 => 
            array (
                'id' => 39,
                'data_type_id' => 4,
                'field' => 'id',
                'type' => 'number',
                'display_name' => 'id',
                'required' => 1,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => '',
                'order' => 1,
            ),
            39 => 
            array (
                'id' => 40,
                'data_type_id' => 4,
                'field' => 'parent_id',
                'type' => 'select_dropdown',
                'display_name' => 'parent_id',
                'required' => 0,
                'browse' => 0,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '{"default":"","null":"","options":{"":"-- None --"},"relationship":{"key":"id","label":"name"}}',
                'order' => 2,
            ),
            40 => 
            array (
                'id' => 41,
                'data_type_id' => 4,
                'field' => 'order',
                'type' => 'text',
                'display_name' => 'order',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '{"default":1}',
                'order' => 3,
            ),
            41 => 
            array (
                'id' => 42,
                'data_type_id' => 4,
                'field' => 'name',
                'type' => 'text',
                'display_name' => 'name',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '',
                'order' => 4,
            ),
            42 => 
            array (
                'id' => 43,
                'data_type_id' => 4,
                'field' => 'slug',
                'type' => 'text',
                'display_name' => 'slug',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '{"slugify":{"origin":"name"}}',
                'order' => 5,
            ),
            43 => 
            array (
                'id' => 44,
                'data_type_id' => 4,
                'field' => 'created_at',
                'type' => 'timestamp',
                'display_name' => 'created_at',
                'required' => 0,
                'browse' => 0,
                'read' => 1,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => '',
                'order' => 6,
            ),
            44 => 
            array (
                'id' => 45,
                'data_type_id' => 4,
                'field' => 'updated_at',
                'type' => 'timestamp',
                'display_name' => 'updated_at',
                'required' => 0,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => '',
                'order' => 7,
            ),
            45 => 
            array (
                'id' => 46,
                'data_type_id' => 6,
                'field' => 'id',
                'type' => 'number',
                'display_name' => 'id',
                'required' => 1,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => '',
                'order' => 1,
            ),
            46 => 
            array (
                'id' => 47,
                'data_type_id' => 6,
                'field' => 'name',
                'type' => 'text',
                'display_name' => 'Name',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '',
                'order' => 2,
            ),
            47 => 
            array (
                'id' => 48,
                'data_type_id' => 6,
                'field' => 'created_at',
                'type' => 'timestamp',
                'display_name' => 'created_at',
                'required' => 0,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => '',
                'order' => 3,
            ),
            48 => 
            array (
                'id' => 49,
                'data_type_id' => 6,
                'field' => 'updated_at',
                'type' => 'timestamp',
                'display_name' => 'updated_at',
                'required' => 0,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => '',
                'order' => 4,
            ),
            49 => 
            array (
                'id' => 50,
                'data_type_id' => 6,
                'field' => 'display_name',
                'type' => 'text',
                'display_name' => 'Display Name',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '',
                'order' => 5,
            ),
            50 => 
            array (
                'id' => 51,
                'data_type_id' => 1,
                'field' => 'seo_title',
                'type' => 'text',
                'display_name' => 'seo_title',
                'required' => 0,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '',
                'order' => 14,
            ),
            51 => 
            array (
                'id' => 52,
                'data_type_id' => 1,
                'field' => 'featured',
                'type' => 'checkbox',
                'display_name' => 'featured',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '',
                'order' => 15,
            ),
            52 => 
            array (
                'id' => 53,
                'data_type_id' => 3,
                'field' => 'role_id',
                'type' => 'text',
                'display_name' => 'role_id',
                'required' => 0,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => NULL,
                'order' => 10,
            ),
            53 => 
            array (
                'id' => 54,
                'data_type_id' => 3,
                'field' => 'username',
                'type' => 'text',
                'display_name' => 'Username',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => NULL,
                'order' => 4,
            ),
            54 => 
            array (
                'id' => 55,
                'data_type_id' => 7,
                'field' => 'id',
                'type' => 'hidden',
                'display_name' => 'Id',
                'required' => 1,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => NULL,
                'order' => 1,
            ),
            55 => 
            array (
                'id' => 56,
                'data_type_id' => 7,
                'field' => 'title',
                'type' => 'text',
                'display_name' => 'Title',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => NULL,
                'order' => 2,
            ),
            56 => 
            array (
                'id' => 57,
                'data_type_id' => 7,
                'field' => 'description',
                'type' => 'text_area',
            'display_name' => 'Description (max 250 characters)',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => NULL,
                'order' => 3,
            ),
            57 => 
            array (
                'id' => 58,
                'data_type_id' => 7,
                'field' => 'body',
                'type' => 'rich_text_box',
                'display_name' => 'Body',
                'required' => 1,
                'browse' => 0,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => NULL,
                'order' => 4,
            ),
            58 => 
            array (
                'id' => 59,
                'data_type_id' => 7,
                'field' => 'created_at',
                'type' => 'timestamp',
                'display_name' => 'Created At',
                'required' => 0,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 0,
                'delete' => 1,
                'details' => NULL,
                'order' => 5,
            ),
            59 => 
            array (
                'id' => 60,
                'data_type_id' => 7,
                'field' => 'updated_at',
                'type' => 'timestamp',
                'display_name' => 'Updated At',
                'required' => 0,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => NULL,
                'order' => 6,
            ),
            60 => 
            array (
                'id' => 61,
                'data_type_id' => 3,
                'field' => 'settings',
                'type' => 'hidden',
                'display_name' => 'Settings',
                'required' => 0,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => NULL,
                'order' => 9,
            ),
            61 => 
            array (
                'id' => 62,
                'data_type_id' => 3,
                'field' => 'user_belongstomany_role_relationship',
                'type' => 'relationship',
                'display_name' => 'Roles',
                'required' => 0,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 0,
                'details' => '{"model":"TCG\\\\Voyager\\\\Models\\\\Role","table":"roles","type":"belongsToMany","column":"id","key":"id","label":"name","pivot_table":"user_roles","pivot":"1"}',
                'order' => 11,
            ),
            62 => 
            array (
                'id' => 63,
                'data_type_id' => 3,
                'field' => 'locale',
                'type' => 'text',
                'display_name' => 'Locale',
                'required' => 0,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 0,
                'details' => '',
                'order' => 12,
            ),
            63 => 
            array (
                'id' => 64,
                'data_type_id' => 8,
                'field' => 'id',
                'type' => 'hidden',
                'display_name' => 'Id',
                'required' => 1,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => NULL,
                'order' => 1,
            ),
            64 => 
            array (
                'id' => 65,
                'data_type_id' => 8,
                'field' => 'name',
                'type' => 'text',
            'display_name' => 'Name (Basic, Standard, Premium, etc)',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => NULL,
                'order' => 3,
            ),
            65 => 
            array (
                'id' => 66,
                'data_type_id' => 8,
                'field' => 'description',
                'type' => 'text_area',
            'display_name' => 'Description (optional)',
                'required' => 0,
                'browse' => 0,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => NULL,
                'order' => 6,
            ),
            66 => 
            array (
                'id' => 67,
                'data_type_id' => 8,
                'field' => 'features',
                'type' => 'text_area',
            'display_name' => 'Features (comma separated)',
                'required' => 1,
                'browse' => 0,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => NULL,
                'order' => 4,
            ),
            67 => 
            array (
                'id' => 69,
                'data_type_id' => 8,
                'field' => 'role_id',
                'type' => 'text',
                'display_name' => 'Role Id',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => NULL,
                'order' => 2,
            ),
            68 => 
            array (
                'id' => 70,
                'data_type_id' => 8,
                'field' => 'created_at',
                'type' => 'timestamp',
                'display_name' => 'Created At',
                'required' => 0,
                'browse' => 1,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 1,
                'details' => NULL,
                'order' => 8,
            ),
            69 => 
            array (
                'id' => 71,
                'data_type_id' => 8,
                'field' => 'updated_at',
                'type' => 'timestamp',
                'display_name' => 'Updated At',
                'required' => 0,
                'browse' => 0,
                'read' => 0,
                'edit' => 0,
                'add' => 0,
                'delete' => 0,
                'details' => NULL,
                'order' => 9,
            ),
            70 => 
            array (
                'id' => 72,
                'data_type_id' => 8,
                'field' => 'plan_belongsto_role_relationship',
                'type' => 'relationship',
            'display_name' => 'Role (role permissions for this plan)',
                'required' => 0,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => '{"model":"TCG\\\\Voyager\\\\Models\\\\Role","table":"roles","type":"belongsTo","column":"role_id","key":"id","label":"name","pivot_table":"announcement_user","pivot":"0","taggable":"0"}',
                'order' => 5,
            ),
            71 => 
            array (
                'id' => 73,
                'data_type_id' => 8,
                'field' => 'default',
                'type' => 'checkbox',
            'display_name' => 'Default (Make this the default plan)',
                'required' => 1,
                'browse' => 0,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => NULL,
                'order' => 7,
            ),
            72 => 
            array (
                'id' => 74,
                'data_type_id' => 8,
                'field' => 'price',
                'type' => 'text',
            'display_name' => 'Price (for display purposes only)',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => NULL,
                'order' => 8,
            ),
            73 => 
            array (
                'id' => 75,
                'data_type_id' => 8,
                'field' => 'plan_id',
                'type' => 'text',
                'display_name' => 'Plan Id',
                'required' => 1,
                'browse' => 1,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => NULL,
                'order' => 6,
            ),
            74 => 
            array (
                'id' => 76,
                'data_type_id' => 8,
                'field' => 'trial_days',
                'type' => 'number',
            'display_name' => 'Trial Days (If none, set to 0)',
                'required' => 1,
                'browse' => 0,
                'read' => 1,
                'edit' => 1,
                'add' => 1,
                'delete' => 1,
                'details' => NULL,
                'order' => 9,
            ),
        ));
        
        
    }
}