Wave is a SAAS framework built using [Laravel](https://laravel.com) and [Voyager](https://voyager.devdojo.com)

<br>

- [Welcome](#welcome)
- [Support](#support)
- [Features](#features)
- [Demo](#demo)
- [Installation](#installation)

<br>

<a name="welcome"></a>
## 👋 Welcome


Welcome to the Wave documentation. These docs will help you navigate the open seas of SAAS creation. They will help you learn how to install, configure, and use Wave. This will be your guide on your journey to creating your own money-making Software as a Service.

---

<a name="support"></a>
## 🚀 Support and Pro Access

Wave is an Open Source project, which means that you can use it for free; however, we still need a way to keep this project going strong. Here's how you can help make this happen.

<a href="https://devdojo.com/pro" target="_blank">Signup for a DevDojo Pro account</a>, to get the following:

- Gain access to the <a href="https://devdojo.com/wave#pro" target="_blank">Wave Private Repo</a> to discuss issues and improvements.
- Gain access to <a href="https://devdojo.com/wave/pro" target="_blank">Tails</a> and build an awesome landing page for your SAAS
- Do your part in making this project even more awesome ✌️
- And <a href="https://devdojo.com/pro" target="_blank">many more perks</a>!

Let's set sail and build this together ⛵

---

<a name="features"></a>

## ⚒️ Features
Wave has some bad-ass features that I think you'll really dig. Here is a list of those features as well as a quick link to each section.

- [**Authentication**](/docs/features/authentication) - Fully loaded authentication, email verification, and password reset.

- [**User Profiles**](/docs/features/user-profiles) - Easily Customizable User Profiles.

- [**User Impersonation**](/docs/features/user-impersonation) - Login as another user to resolve an issue/bug.

- [**Billing**](/docs/features/billing) - Allow users to pay for your service.

- [**Subscription Plans**](/docs/features/subscription-plans) - Subscription plans with different features.

- [**User Roles**](/docs/features/user-roles) - Assign a role and permissions to a specific plan.

- [**Notifications**](/docs/features/notifications) - Ready-to-use Notification System.

- [**Announcements**](/docs/features/announcements) - Notify users about new features or updates.

- [**Blog**](/docs/features/blog) - Equipped with a fully-functional blog.

- [**API**](/docs/features/api) - Ready-to-consume API for your application

- [**Admin**](/docs/features/admin) - Voyager Admin feature set.

- [**Themes**](/docs/features/themes) - Fully configurable themes.

---

<a name="demo"></a>
## 🏄‍♂️ Demo

Would you like to see a demo of Wave? <a href="https://wave.devdojo.com" target="_blank">Click here</a> to check out the official <a href="https://wave.devdojo.com" target="_blank">Wave Demo</a>.

If you would like to get additional help and show your support for the ongoing development of this project, be sure to signup for a <a href="https://devdojo.com/pro" target="_blank">DevDojo Pro Account</a>

---

<a name="installation"></a>
## ⚙️ Installation

Ready to get started? Let's move on to the next section where you will learn how to [install Wave](/docs/installation).
