@extends('voyager::master')



@section('page_title', __('Project Timelines'))



@section('css')

    <meta name="csrf-token" content="{{ csrf_token() }}">

    <link rel="preconnect" href="//fonts.googleapis.com">

<link rel="preconnect" href="//fonts.gstatic.com" crossorigin>

<link href="//fonts.googleapis.com/css2?family=Roboto+Slab:wght@500&display=swap" rel="stylesheet">

    <!--<link href="//pictogrammers.github.io/@mdi/font/2.0.46/css/materialdesignicons.min.css" rel="stylesheet" crossorigin="anonymous" referrerpolicy="no-referrer" />-->

    

    <style>

   @font-face {

  font-family: 'Roboto Slab';

  font-style: normal;

  font-weight: 500;

  font-display: swap;

  src: url(//fonts.gstatic.com/s/robotoslab/v24/BngbUXZYTXPIvIBgJJSb6s3BzlRRfKOFbvjovoSmYmRjRdE.woff2) format('woff2');

  unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;

}

    .swal2-container{

        z-index : 100002 !important;

    }

    /* =============

   Timeline

============= */

.timeline {

  border-collapse: collapse;

  border-spacing: 0;

  display: table;

  margin-bottom: 50px;

  position: relative;

  table-layout: fixed;

  width: 100%;

}

.timeline .time-show {

  margin-bottom: 30px;

  margin-right: -75px;

  /*margin-top: 30px;*/

  position: relative;

}

.timeline .time-show a {

  color: #ffffff;

}

.timeline:before {

  background-color: rgba(121, 121, 121, 0.3);

  bottom: 0;

  content: "";

  left: 50%;

  position: absolute;

  top: 30px;

  width: 2px;

  z-index: 0;

}

.timeline .timeline-icon {

  -webkit-border-radius: 50%;

  background: #797979;

  border-radius: 50%;

  color: #ffffff;

  display: block;

  height: 20px;

  left: -54px;

  margin-top: -10px;

  position: absolute;

  text-align: center;

  top: 50%;

  width: 20px;

}

.timeline .timeline-icon i {

  color: #ffffff;

  font-size: 13px;

  margin-top: 4px;

  position: absolute;

  left: 4px;

}

.timeline .time-icon:before {

  font-size: 16px;

  margin-top: 5px;

}

h3.timeline-title {

  color: #797979;

  font-size: 20px;

  font-weight: 400;

  margin: 0 0 5px;

  text-transform: uppercase;

}

.timeline-item {

  display: table-row;

}

.timeline-item:before {

  content: "";

  display: block;

  width: 50%;

}

.timeline-item .timeline-desk .arrow {

  border-bottom: 12px solid transparent;

  border-right: 12px solid gray !important;

  border-top: 12px solid transparent;

  display: block;

  height: 0;

  left: -12px;

  margin-top: -12px;

  position: absolute;

  top: 50%;

  width: 0;

}

.timeline-item .timeline-desk .timeline-box {

  padding: 20px;

}

.timeline-item .timeline-date {

  margin-bottom: 10px;

}

.timeline-item.alt:after {

  content: "";

  display: block;

  width: 50%;

}

.timeline-item.alt .timeline-desk .arrow-alt {

  border-bottom: 12px solid transparent;

  border-left: 12px solid gray !important;

  border-top: 12px solid transparent;

  display: block;

  height: 0;

  left: auto;

  margin-top: -12px;

  position: absolute;

  right: -12px;

  top: 50%;

  width: 0;

}

.timeline-item.alt .timeline-desk .album {

  float: right;

  margin-top: 20px;

}

.timeline-item.alt .timeline-desk .album a {

  float: right;

  margin-left: 5px;

}

.timeline-item.alt .timeline-icon {

  left: auto;

  right: -56px;

}

.timeline-item.alt:before {

  display: none;

}

.timeline-item.alt .panel {

  margin-left: 0;

  margin-right: 45px;

}

.timeline-item.alt h4 {

  text-align: right;

}

.timeline-item.alt p {

  text-align: right;

}

.timeline-item.alt .timeline-date {

  text-align: right;

}

.timeline-desk {

  display: table-cell;

  vertical-align: top;

  width: 50%;

}

.timeline-desk h4 {

  font-size: 16px;

  font-weight: 300;

  margin: 0;

}

.timeline-desk .panel {

  /*background: #fff;*/

  background: rgba(238, 238, 238, 0.25);

  display: block;

  margin-bottom: 5px;

  margin-left: 45px;

  position: relative;

  text-align: left;

  border: 0;

}

.timeline-desk h5 span {

  color: #797979;

  display: block;

  font-size: 12px;

  margin-bottom: 4px;

}

.timeline-desk p {

  color: #000000;

  font-size: 14px;

  margin-bottom: 0;

}

.timeline-desk .album {

  margin-top: 12px;

}

.timeline-desk .album a {

  float: left;

  margin-right: 5px;

}

.timeline-desk .album img {

  height: 36px;

  width: auto;

  border-radius: 3px;

}

.timeline-desk .notification {

  background: none repeat scroll 0 0 #ffffff;

  margin-top: 20px;

  padding: 8px;

}

.timeline-left {

  margin-left: 20px;

  width: auto;

  display: block;

}

.timeline-left:before {

  left: 0 !important;

}

.timeline-left .timeline-item {

  display: block;

}

.timeline-left .timeline-desk {

  display: block;

  width: 100%;

}

.timeline-left .panel {

  margin-bottom: 20px;

}





.w-lg {

    min-width: 140px;

}

.timeline .timeline-icon i {

   

     margin-top: 0 !important;

    

}

    

    </style>

@stop



@section('page_header')



    <h1 class="page-title">

        <i class="voyager-file-text"></i>

        {{ $timeline->timeline_name  }} 

    </h1>

     <a href="javascript:getPdf()" class="btn btn-success btn-add-new">

                <i class="voyager-file-text"></i> <span>Get PDF</span>

            </a>

     

@stop



@section('content')

    <div class="page-content browse container-fluid">

        

    

        

        <div class="row" >

            <div class="col-sm-12">

                <div class="panel panel-bordered">

                    <div class="panel-body">

                       

                        

                        <h3> {{ $timeline->timeline_name  }}  <small>{{ $timeline->sub_title  }} </small></h3>

                        <div class="timeline" id="pdfElement">

                        

                        <?php

                        $counter = 1;

                            foreach($timelineEvents as $k=>$events)

                            {

                                if($timeline->period=='yearly')

                                {

                                    $heading ="Year ".$k; 

                                }else if($timeline->period=='monthly' || $timeline->period=='weekly')

                                {

                                    $heading = $k; 

                                }

                                

                                ?>

                                        <article class="timeline-item alt">

                                            <div class="text-right">

                                                <div class="time-show {{ $counter==1?'first':'' }}">

                                                    <a href="#" class="btn btn-danger w-lg">{{ $heading }}</a>

                                                </div>

                                            </div>

                                        </article>

                                        

                                <?php

                                    $alt = true;

                                          foreach($events as $event){

                                            ?>

                                            <article class="timeline-item {{ $alt==true?'alt':'' }}">

                                                <div class="timeline-desk">

                                                    <div class="panel">

                                                        <div class="timeline-box">

                                                            <span class="{{ $alt==true?'arrow-alt':'arrow' }}"></span>

                                                            <span class="timeline-icon"><i class="mdi mdi-checkbox-blank-circle-outline"></i></span>

                                                            <h4 class="{{ $alt==true?'text-success':'text-info' }}">{{ Carbon\Carbon::createFromFormat('Y-m-d', $event->edate)->format('d F Y') }}</h4>

                                                            <p class="timeline-date text-muted"><small>Event Details</small></p>

                                                            <p>{{ $event->event }} </p>

                                                        </div>

                                                    </div>

                                                </div>

                                            </article>

                                            <?php

                                           $alt = $alt==true?false:true;

                                          }  

                                $counter++;

                            }

                        ?>

                    </div>

                    </div>

                </div>

                

                

                

            </div>

        </div>

       

        

    </div>

    <img id="imgtest" />

    <div id="canvasapp"></div>

    

@stop



@section('javascript')



<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>





<script src="//cdnjs.cloudflare.com/ajax/libs/dompurify/2.3.10/purify.min.js" integrity="sha512-Qr/d6af6cN41/GIKiSmrQd4Y19/fo0YvWhD1VND8O+BsfbFBaZI4K7VVPoUZrd8PzMQ3CE71CkMjhrKf1NbhdQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

<script src="//cdnjs.cloudflare.com/ajax/libs/jspdf/2.5.1/jspdf.umd.js"></script>

<script src="//html2canvas.hertzen.com/dist/html2canvas.js"></script>

<script src="//cdnjs.cloudflare.com/ajax/libs/html-to-image/1.10.4/html-to-image.js" integrity="sha512-z4c/kd3xbubzz856g+hU7Pe3GpmVZNnNzr5rnBN0Poap0pDYKuVzwnWl1kD9LQZ7pLY8aWCbVSKiCUHhvuNjLA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

    

    <script src="{{ url('public/pdffonts/RobotoSlab-VariableFont_wght-bold.js') }}" type="text/javascript"></script>

    <script>

    //https://rawgit.com/MrRio/jsPDF/master/fontconverter/fontconverter.html

    window.jsPDF = window.jspdf.jsPDF

   // window.fontbase64 = fontbase64;
    function getPdf()
    {
        var topreactHeight = 100;
		var HTML_Width = $("#pdfElement").width();
		var HTML_Height = ($("#pdfElement").height());
		var top_left_margin = 15;
		var PDF_Width = HTML_Width+(top_left_margin*2);
		var PDF_Height = ((PDF_Width*1.5)+(top_left_margin*2));
		var canvas_image_width = HTML_Width;
		var canvas_image_height = HTML_Height;
		
		var totalPDFPages = Math.ceil(HTML_Height/PDF_Height)-1;
		
//alert(totalPDFPages);
		htmlToImage.toCanvas(document.getElementById('pdfElement'))

        .then(function (canvas) {
			//canvas.getContext('2d');
			
			console.log(canvas.height+"  "+canvas.width);
			
			
			var imgData = canvas.toDataURL("image/png",1.0);
			var pdf = new jsPDF('p', 'pt',  [PDF_Width, PDF_Height]);
           // var pdf = new jsPDF('p', 'pt',  'a4');
            
            pdf.setFillColor(231,231,231);

            

            pdf.rect(0, 0, PDF_Width, topreactHeight, 'F');

            

            pdf.setTextColor(137, 94, 51);

            //pdf.addFont('ArialMS', 'Arial', 'normal');

            //pdf.addFont("robotoslab.ttf", "RobotoSlab", "Bold");

            pdf.setFont("RobotoSlab-VariableFont_wght","normal");

            pdf.setFontSize(30);

            pdf.text(100,50, '{{ ucwords($timeline->timeline_name)  }}\r\n');

            let titlewidth = pdf.getTextWidth('{{ ucwords($timeline->timeline_name)  }}');

            let titleH = pdf.getTextDimensions('{{ ucwords($timeline->timeline_name)  }}');

            console.log(titleH);

            pdf.line(100, titleH.h+30, titlewidth+100, titleH.h+30);

            

            pdf.setTextColor(72, 80, 89);

            pdf.setFont("times","italic");

            pdf.setFontSize(15);

            pdf.text(100,80, '{{ ucwords($timeline->sub_title)  }}\r\n');
            
            
		    pdf.addImage(imgData, 'png', top_left_margin, 130,canvas_image_width,canvas_image_height);
			
			
			for (var i = 1; i <= totalPDFPages; i++) { 
				//pdf.addPage(PDF_Width, PDF_Height);
                let margin=-parseInt(PDF_Height*i)+parseInt(top_left_margin*4);
                if(i>1){
                    margin= parseInt(margin+i*8);
                }
                pdf.addPage();
				pdf.addImage(imgData, 'png', top_left_margin, margin,canvas_image_width,canvas_image_height);
			}
			
		    pdf.save("{{ ucwords($timeline->timeline_name)  }}.pdf");
        });
    }
    function getPdf2()

    {


        var HTML_Width = $("#pdfElement").width();

		var HTML_Height = $("#pdfElement").height();

		var top_left_margin = 15;

		var PDF_Width = HTML_Width+(top_left_margin*2);

		var PDF_Height = (PDF_Width*1.5)+(top_left_margin*2);

		var canvas_image_width = HTML_Width;

		var canvas_image_height = HTML_Height;

		var scale = Math.min(HTML_Width, HTML_Height);

		var totalPDFPages = Math.ceil(HTML_Height/PDF_Height)-1;

       // alert(totalPDFPages);

      //  return ;

		const canvas = document.getElementById('canvas');

        

        htmlToImage.toCanvas(document.getElementById('pdfElement'))

        .then(function (canvas) {

     // htmlToImage.toPng(document.getElementById('pdfElement'))  

      //.then(function (imgData) {

        var imgData = canvas.toDataURL("image/png",1.0)

        

        $("#imgtest").attr("src",imgData)

        

        //$("#canvasapp").append(canvas);

        console.log([PDF_Width, PDF_Height])

        

        //var pdf = new jsPDF('p', 'pt',  [PDF_Width, PDF_Height]);

        var pdf = new jsPDF('p', 'pt',  'a4');

        let width = pdf.internal.pageSize.getWidth();

        let height = pdf.internal.pageSize.getHeight();

        	  console.log(["pdf dimentions",width, height])

              const pageWidth = pdf.internal.pageSize.getWidth();

              const pageHeight = pdf.internal.pageSize.getHeight();



            const widthRatio = pageWidth / canvas.width;

            const heightRatio = pageHeight / canvas.height;

            const ratio = widthRatio > heightRatio ? heightRatio : widthRatio;

        

            const canvasWidth = canvas.width * ratio;

            const canvasHeight = canvas.height * ratio;

        

            const marginX = (pageWidth - canvasWidth) / 2;

            const marginY = (pageHeight - canvasHeight) / 2;

              

            //  alert(marginX);

              

              

		   // pdf.addImage(canvas, 'JPEG', 25, 0,PDF_Width,PDF_Height);

          // pdf.addImage(imgData, 'JPEG', top_left_margin, top_left_margin,canvas.width,canvas.height);

           //pdf.addImage(imgData, 'JPG', top_left_margin, top_left_margin,width,height);

           //pdf.addImage(canvas, 'JPG', top_left_margin, -(PDF_Height*1)+(top_left_margin*4),canvas_image_width,canvas_image_height);

          // pdf.setFontSize(17);

            //pdf.addFileToVFS("robotoslab.ttf", fontbase64);

            //pdf.addFont("robotoslab.ttf", "RobotoSlab", "Bold");

            pdf.setFillColor(231,231,231);

            

            pdf.rect(0, 0, PDF_Width, 100, 'F');

            

            pdf.setTextColor(137, 94, 51);

            //pdf.addFont('ArialMS', 'Arial', 'normal');

            //pdf.addFont("robotoslab.ttf", "RobotoSlab", "Bold");

            pdf.setFont("RobotoSlab-VariableFont_wght","normal");

            pdf.setFontSize(30);

            pdf.text(100,50, '{{ ucwords($timeline->timeline_name)  }}\r\n');

            let titlewidth = pdf.getTextWidth('{{ ucwords($timeline->timeline_name)  }}');

            let titleH = pdf.getTextDimensions('{{ ucwords($timeline->timeline_name)  }}');

            console.log(titleH);

            pdf.line(100, titleH.h+30, titlewidth+100, titleH.h+30);

            

            pdf.setTextColor(72, 80, 89);

            pdf.setFont("times","italic");

            pdf.setFontSize(15);

            pdf.text(100,80, '{{ ucwords($timeline->sub_title)  }}\r\n');

           // pdf.text(100,25, '{{ $timeline->sub_title  }}');

          // pdf.text(20, 20, '{{ $timeline->sub_title  }}');

           //pdf.text(40, 40, '{{ $timeline->timeline_name  }}\r\n');

          

//doc.text(35, 25, "Octony
            var totalPDFPages = Math.ceil(HTML_Height/PDF_Height)-1;
            pdf.addImage(imgData, 'png', marginX, 100,canvasWidth,canvasHeight); //working fine imgage
           // pdf.addImage(imgData, 'png', marginX, 100,pageWidth,pageHeight); //working fine imgage

         //  pdf.addImage(imgData, 'JPEG', 0, 0,width,height); //working fine imgage



			for (var i = 1; i <= totalPDFPages; i++) { 

				pdf.addPage([PDF_Width, PDF_Height]);

				pdf.addImage(imgData, 'png', 0, 0,canvasWidth,canvasHeight);

			}

			

		    pdf.save("timeline.pdf");

          //pdf.output("dataurlnewwindow")

      });

        

        

		/*html2canvas($("#pdfElement")[0],

            {allowTaint:true,

            scrollX:-window.scrollX, 

            scrollY:-window.scrollY,

            scale:2

            }

        ).then(function(canvas) {

		  //canvas.width = 1850;

			//canvas.getContext('2d');

			

			console.log(canvas.height+"  "+canvas.width);

			

			

			var imgData = canvas.toDataURL("image/jpeg",1.0);

           // $("#imgtest").attr("src",imgData);

           $("#canvasapp").append(canvas);

            return ;

			

        });*/

    }

    </script>

@stop

