<!DOCTYPE html>
<html lang="{{ config('app.locale') }}" dir="ltr">
<head>
    
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta name="csrf-token" content="{{ csrf_token() }}"/>
    <meta name="assets-path" content="{{ route('voyager.voyager_assets') }}"/>

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,700" rel="stylesheet">
    

    <!-- Favicon -->
    <?php $admin_favicon = Voyager::setting('admin.icon_image', ''); ?>
    @if($admin_favicon == '')
        <link rel="shortcut icon" href="{{ voyager_asset('images/logo-icon.png') }}" type="image/png">
    @else
        <link rel="shortcut icon" href="{{ Voyager::image($admin_favicon) }}" type="image/png">
    @endif


  

<!-- App CSS -->
    <link rel="stylesheet" href="{{ voyager_asset('css/app.css') }}">
    <link href="//pictogrammers.github.io/@mdi/font/2.0.46/css/materialdesignicons.min.css" rel="stylesheet" />
    <style>

    /* =============
   Timeline
============= */
.timeline {
  border-collapse: collapse;
  border-spacing: 0;
  display: table;
  margin-bottom: 50px;
  position: relative;
  table-layout: fixed;
  width: 100%;
}
.timeline .time-show {
  margin-bottom: 30px;
  margin-right: -75px;
  margin-top: 30px;
  position: relative;
}
.timeline .time-show a {
  color: #ffffff;
}
.timeline:before {
  background-color: rgba(121, 121, 121, 0.3);
  bottom: 0;
  content: "";
  left: 50%;
  position: absolute;
  top: 30px;
  width: 2px;
  z-index: 0;
}
.timeline .timeline-icon {
  -webkit-border-radius: 50%;
  background: #797979;
  border-radius: 50%;
  color: #ffffff;
  display: block;
  height: 20px;
  left: -54px;
  margin-top: -10px;
  position: absolute;
  text-align: center;
  top: 50%;
  width: 20px;
}
.timeline .timeline-icon i {
  color: #ffffff;
  font-size: 13px;
  margin-top: 4px;
  position: absolute;
  left: 4px;
}
.timeline .time-icon:before {
  font-size: 16px;
  margin-top: 5px;
}
h3.timeline-title {
  color: #797979;
  font-size: 20px;
  font-weight: 400;
  margin: 0 0 5px;
  text-transform: uppercase;
}
.timeline-item {
  display: table-row;
}
.timeline-item:before {
  content: "";
  display: block;
  width: 50%;
}
.timeline-item .timeline-desk .arrow {
  border-bottom: 12px solid transparent;
  border-right: 12px solid #fff !important;
  border-top: 12px solid transparent;
  display: block;
  height: 0;
  left: -12px;
  margin-top: -12px;
  position: absolute;
  top: 50%;
  width: 0;
}
.timeline-item .timeline-desk .timeline-box {
  padding: 20px;
}
.timeline-item .timeline-date {
  margin-bottom: 10px;
}
.timeline-item.alt:after {
  content: "";
  display: block;
  width: 50%;
}
.timeline-item.alt .timeline-desk .arrow-alt {
  border-bottom: 12px solid transparent;
  border-left: 12px solid #fff !important;
  border-top: 12px solid transparent;
  display: block;
  height: 0;
  left: auto;
  margin-top: -12px;
  position: absolute;
  right: -12px;
  top: 50%;
  width: 0;
}
.timeline-item.alt .timeline-desk .album {
  float: right;
  margin-top: 20px;
}
.timeline-item.alt .timeline-desk .album a {
  float: right;
  margin-left: 5px;
}
.timeline-item.alt .timeline-icon {
  left: auto;
  right: -56px;
}
.timeline-item.alt:before {
  display: none;
}
.timeline-item.alt .panel {
  margin-left: 0;
  margin-right: 45px;
}
.timeline-item.alt h4 {
  text-align: right;
}
.timeline-item.alt p {
  text-align: right;
}
.timeline-item.alt .timeline-date {
  text-align: right;
}
.timeline-desk {
  display: table-cell;
  vertical-align: top;
  width: 50%;
}
.timeline-desk h4 {
  font-size: 16px;
  font-weight: 300;
  margin: 0;
}
.timeline-desk .panel {
  background: #fff;
  display: block;
  margin-bottom: 5px;
  margin-left: 45px;
  position: relative;
  text-align: left;
  border: 0;
}
.timeline-desk h5 span {
  color: #797979;
  display: block;
  font-size: 12px;
  margin-bottom: 4px;
}
.timeline-desk p {
  color: #000000;
  font-size: 14px;
  margin-bottom: 0;
}
.timeline-desk .album {
  margin-top: 12px;
}
.timeline-desk .album a {
  float: left;
  margin-right: 5px;
}
.timeline-desk .album img {
  height: 36px;
  width: auto;
  border-radius: 3px;
}
.timeline-desk .notification {
  background: none repeat scroll 0 0 #ffffff;
  margin-top: 20px;
  padding: 8px;
}
.timeline-left {
  margin-left: 20px;
  width: auto;
  display: block;
}
.timeline-left:before {
  left: 0 !important;
}
.timeline-left .timeline-item {
  display: block;
}
.timeline-left .timeline-desk {
  display: block;
  width: 100%;
}
.timeline-left .panel {
  margin-bottom: 20px;
}


.w-lg {
    min-width: 140px;
}
.timeline .timeline-icon i {
   
     margin-top: 0 !important;
    
}
    
    </style>
</head>

<body class="">

<div class="app-container">
    
    <div class="row content-container">
        
        <!-- Main Content -->
        <div class="container-fluid">
            <div class="side-body padding-top">
                <div class="page-content browse container-fluid">
        
        <div class="row" id="pdfElement">
            <div class="col-sm-12">
                
                <div class="timeline">
                    <?php
                    $counter = 1;
                        foreach($timelineEvents as $k=>$events)
                        {
                            ?>
                                <article class="timeline-item alt">
                                        <div class="text-right">
                                            <div class="time-show {{ $counter==1?'first':'' }}">
                                                <a href="#" class="btn btn-danger w-lg">{{ "Year ".$k }}</a>
                                            </div>
                                        </div>
                                    </article>
                                    
                            <?php
                                $alt = true;
                                      foreach($events as $event){
                                        ?>
                                        <article class="timeline-item {{ $alt==true?'alt':'' }}">
                                            <div class="timeline-desk">
                                                <div class="panel">
                                                    <div class="timeline-box">
                                                        <span class="{{ $alt==true?'arrow-alt':'arrow' }}"></span>
                                                        <span class="timeline-icon"><i class="mdi mdi-checkbox-blank-circle-outline"></i></span>
                                                        <h4 class="{{ $alt==true?'text-success':'text-info' }}">{{ Carbon\Carbon::createFromFormat('Y-m-d', $event->edate)->format('d F Y') }}</h4>
                                                        <p class="timeline-date text-muted"><small>Event Details</small></p>
                                                        <p>{{ $event->event }} </p>
                                                    </div>
                                                </div>
                                            </div>
                                        </article>
                                        <?php
                                       $alt = $alt==true?false:true;
                                      }  
                            $counter++;
                        }
                    ?>
                </div>
                
                
            </div>
        </div>
       
        
    </div>
            </div>
        </div>
    </div>
</div>

<!-- Javascript Libs -->


<!-- Latest compiled and minified JavaScript -->
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.js" integrity="sha512-n/4gHW3atM3QqRcbCn6ewmpxcLAHGaDjpEBu4xZd47N0W2oQ+6q7oc3PXstrJYXcbNU1OHdQ1T7pAP+gi5Yu8g==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="//cdn.jsdelivr.net/npm/bootstrap@3.4.1/dist/js/bootstrap.min.js" integrity="sha384-aJ21OjlMXNL5UyIl/XNwTMqvzeRMZH2w8c5cRVpzpU8Y5bApTppSuUkhZXN0VxHd" crossorigin="anonymous"></script>

</body>
</html>
