

<?php $__env->startSection('page_title', __('Project Timelines')); ?>

<?php $__env->startSection('css'); ?>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <link href="//cdn.datatables.net/1.12.1/css/dataTables.bootstrap.min.css" type="text/css" />
    <link href="//cdn.datatables.net/fixedheader/3.2.4/css/fixedHeader.bootstrap.min.css" type="text/css" />
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/ion-rangeslider/2.3.1/css/ion.rangeSlider.min.css"/>
    <style>
    .modal-backdrop {
        z-index: 1000 !important;
    }
    .swal2-container{
        z-index : 100002 !important;
    }
    
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page_header'); ?>

    <h1 class="page-title">
        <i class="voyager-list-add"></i>
        <?php echo e($project->name); ?> <?php echo e(__('Timelines')); ?>

    </h1>
     <?php
                $show = true;
                if(!auth()->user()->hasRole('admin'))
                {
                    $plan = auth()->user()->subscriptionPlan();
                    if($plan)
                    {
                        if($plan['plan']->total_timlines>$timelines)
                        {
                            $show = true;
                        }else
                        {
                            $show = false;
                        }
                    }     
                }
    ?>
            <?php if($show): ?>
            <a href="javascript:addProject()" class="btn btn-success btn-add-new">
                <i class="voyager-plus"></i> <span><?php echo e(__('voyager::generic.add_new')); ?></span>
            </a>
            <?php endif; ?>
     
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="page-content browse container-fluid">
        
        <div class="row">
            <div class="col-md-12">

                <div class="panel panel-bordered">
                    <div class="panel-body">
                            <table id="dataTable" class="table table-hover">
                                <thead>
                                    <tr>
                                        
                                        <th>ID</th>
                                        <th>Project Name</th>
                                        <th>Timeline Name</th>
                                        <th>Created At</th>
                                        <th class="actions  dt-not-orderable">Action</th>
                                       
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </div>

                </div>
            </div>
        </div>
       
        
    </div>
    <div id="promodal" role="dialog" class="modal modal-info fade in" style="display: none;">
       
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
				<div class="modal-header">
					<button type="button" data-dismiss="modal" aria-label="Close" class="close"><span aria-hidden="true">x</span></button>
					<h4 class="modal-title">
						<i class="voyager-list-add">
						</i>
						Save Timeline
					</h4>
				</div>
				<div class="modal-body" >
					 <form id='projectform' enctype="multipart/form-data">
                     <?php echo csrf_field(); ?>
                     <input type="hidden" name="id" />
                     <input type="hidden" name="pid" value="<?php echo e($project->id); ?>" />
                          <div class="form-group">
                            <label  class="control-label"
                                      for="tname">Name your timeline </label>
                            <div class="">
                                <input type="text" required="" name="timeline_name" class="form-control" 
                                id="tname" placeholder="timeline name"/>
                            </div>
                          </div>
                          <div class="form-group">
                            <label  class="control-label"
                                      for="sub_title">SubTitle</label>
                            <div class="">
                                <input type="text" required="" name="sub_title" class="form-control" 
                                id="sub_title" placeholder="timeline subtitle"/>
                            </div>
                          </div>
                           <h3>
                                Select Timeline Options
                            </h3>
                           <div class="form-group">
                            <label  class="control-label"
                                      for="tptimline">Select Timeline period </label>
                            <div class="">
                                <select id="tptimline" onchange="checkTimeline(this)" name="period" class="form-control">
                                    <option value=""></option>
                                     <option value="yearly">Yearly</option>
                                     <option value="monthly">Monthly</option>
                                     <option value="weekly">Weekly</option>
                                </select>
                            </div>
                          </div>
                          <div id="appendarea">
                            
                            <div class="form-group" id="yearslider" style="display: none;">
                                <label  class="control-label"
                                          for="tyears">Select Year's </label>
                                <div class="row">
                                    <div class="col-md-10 text-center" style="width: 95%;padding-left: 45px;">
                                        <input type="text" required="" name="tyears" class="form-control"  id="tyears" />
                                     </div>
                                </div>
                                
                              </div>
                              
                              <div class="form-group" id="monthslider" style="display: none;">
                                <label  class="control-label"
                                          for="tmonths">Select Month's </label>
                                <div class="row">
                                    <div class="col-md-10 text-center" style="width: 95%;padding-left: 45px;">
                                        <input type="text" required="" name="tmonths" class="form-control"  id="tmonths" />
                                     </div>
                                </div>
                                
                              </div>
                          </div>
                         
                    </form>
				</div>
				<div class="modal-footer">
                    <button form="projectform"  type="submit" class="btn btn-info  pull-right">Save</button>                  
				</div>
			</div>
        </div>
			
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>
<script src="//cdn.datatables.net/1.12.1/js/dataTables.bootstrap.min.js"></script>
<script src="//malsup.github.io/jquery.blockUI.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/ion-rangeslider/2.3.1/js/ion.rangeSlider.min.js"></script>   
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>

    <script>
    var $d5 = $("#tyears");
    var $d6 = $("#tmonths");
    
    function addProject()
    {
        $("#yearslider").hide();
        $('#promodal').modal('show');
        $("#projectform")[0].reset();
        $("input[name='id']").val('');
        
    }
    function checkTimeline(obj)
    {
        if(obj!='')
        {
            blockUI('.modal-content');
            $.get("<?php echo e(route('timlineOpt')); ?>",{opt:$(obj).val(),pid:"<?php echo e($project->id); ?>"},function(res){
                //Swal.hideLoading();
                $('.modal-content').unblock();
                $("#yearslider").show();
                
                var d5_instance = $d5.data("ionRangeSlider");
                var d6_instance = $d6.data("ionRangeSlider");
                var yearLen = res.years.length;
               // alert(yearLen)
                var end = yearLen-1;
                d5_instance.update({
                   // min: min,
                   // max: max,
                    values:res.years,
                    //grid_num: num,
                    //step: step,
                    //skip:'modern',
                    //type:"double",
                    to:res.years[yearLen-1],
                    from:res.years[0],
                    grid: true,
                    grid_margin:false,
                    
                });
                
                if($(obj).val()=='monthly' || $(obj).val()=='weekly')
                {
                    $("#monthslider").show();
                    d6_instance.update({
                       // min: min,
                       // max: max,
                        values:res.months,
                        //grid_num: num,
                        //step: step,
                        //skip:'modern',
                        //type:"double",
                        to:res.months[res.months.length],
                        from:res.months[0],
                        grid: true,
                        grid_margin:false,
                        
                    });
                }else
                {
                    $("#monthslider").hide();
                }
                 
                // $('#promodal').modal('show');
                if(res!='')
                {
                   // $("input[name='id']").val(res.id);
                    //$("input[name='name']").val(res.name);
                }else
                {
                    //Swal.fire('Error!', 'Error while deleting project!', 'error')
                }
                
            })
        }
        
    }
    function edit(id)
    {
       
        blockUI('.page-content');
        $("#fileInp").hide();
        $.get("<?php echo e(route('voyager.projects.index')); ?>/"+id,function(res){
                //Swal.hideLoading();
                $('.page-content').unblock();
                 $('#promodal').modal('show');
                if(res!='')
                {
                    $("input[name='id']").val(res.id);
                    $("input[name='name']").val(res.name);
                }else
                {
                    //Swal.fire('Error!', 'Error while deleting project!', 'error')
                }
                
            })
        
    }
    
    function delItem(id)
    {
        Swal.fire({
             icon: "warning",
          title: 'Are you sure?',
          text: "Once deleted, you will not be able to recover this!",
          //showDenyButton: true,
          confirmButtonColor: '#3085d6',
          cancelButtonColor: '#d33',
          confirmButtonText: 'Yes, delete it!',
          showCancelButton: true,
          
          
         // denyButtonText: `Don't save`,
        }).then((result) => {
          /* Read more about isConfirmed, isDenied below */
          if (result.isConfirmed) {
            
            Swal.showLoading();
            $.get("<?php echo e(route('delporject')); ?>",{id:id},function(res){
                Swal.hideLoading();
                if(res=='1')
                {
                    Swal.fire('Good Job!', 'Project successfully deleted!', 'success');
                    $("#dataTable").DataTable().ajax.reload();
                }else
                {
                    Swal.fire('Error!', 'Error while deleting project!', 'error')
                }
                
            })
          } 
        });
    }
    
    function blockUI(cls) {
    $(cls).block({
      
      message: '<h2 style="margin-bottom: 20px;"> processing... </h2>',
      css: { 
            border: 'none', 
          //  paddingTop: '15px', 
            backgroundColor: '#000', 
            '-webkit-border-radius': '10px', 
            '-moz-border-radius': '10px', 
            opacity: .5, 
            color: '#fff',
            width:"50%",
        }
      //baseZ: 100003,
      
    });
    //$('.blockUI.blockMsg').center();
  }
        $('document').ready(function () {
            $('#dataTable').DataTable({
                    "order": [[ 0, 'desc' ]],
                     processing: true,
                    serverSide: true,
                    
                    ajax: "<?php echo Route('timelineList'); ?>?pid=<?php echo e($project->id); ?>",
                    columns: [
                        { data: 'id', name: 'project_timelines.id' },
                        { data: 'name', name: 'projects.name' },
                        { data: 'timeline_name', name: 'project_timelines.timeline_name' },
                        { data: 'created_at', name: 'project_timelines.created_at' },
                        { data: 'action', name: 'action', orderable: false, searchable: false }
                        //{ data: 'updated_at', name: 'updated_at' }
                    ]
                    
                });
           $("#projectform").submit(function(){
                var formData = new FormData(this);
                    //formData.append('file', $('#file')[0].files[0]);
                    if($("select[name='period']").val()=='')
                    {
                        Swal.fire("Error!", "Please select  timeline period", "error");
                        return false;
                    }
                    blockUI('.modal-content');
                    $.ajax({
                           url : '<?php echo e(route("timelineSave")); ?>',
                           type : 'POST',
                           data : formData,
                           processData: false,  // tell jQuery not to process the data
                           contentType: false,  // tell jQuery not to set contentType
                            //async: false,
                           complete:function(){
                            $('.modal-content').unblock();
                           },
                           success : function(data) {
                            if(data.success==true)
                            {
                                Swal.fire("Good job!", "Timeline Successfully saved!", "success");
                                $('#promodal').modal('hide')
                                $("#projectform")[0].reset();
                                $("input[name='id']").val('');
                               location.reload();
                            }else
                            {
                                Swal.fire("Error!", data.message, "error");
                            }
                            
                               //console.log(data);
                               //alert(data);
                           }
                    });
                    return false;
           });     
           
           $d5.ionRangeSlider({
            skin: "modern",
            type: "double",
           values:[]
        });
        
        $d6.ionRangeSlider({
            skin: "modern",
            type: "double",
           values:[]
        });
           
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('voyager::master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/itactcxg/public_html/wave-main/resources/views/projects/timelines.blade.php ENDPATH**/ ?>