<div class="flex flex-wrap w-full mx-auto divide-x divide-gray-100 divide-solid">
    <?php $__currentLoopData = Wave\Plan::all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php $features = explode(',', $plan->features); ?>

        <div class="w-full max-w-md px-0 mx-auto mb-6 lg:w-1/3 lg:mb-0">
            <div class="relative flex flex-col h-full mb-10 bg-white sm:mb-0">
                <div class="px-10 pt-7">
                    <div class="absolute right-0 inline-block mr-6 transform">
                        <h2 class="relative z-20 w-full h-full px-2 py-1 text-xs font-bold leading-tight tracking-wide text-center uppercase bg-white border-2 <?php if($plan->default): ?><?php echo e('border-wave-400 text-wave-500'); ?><?php else: ?><?php echo e('border-gray-900 text-gray-800'); ?><?php endif; ?> rounded"><?php echo e($plan->name); ?></h2>

                    </div>
                </div>

                <div class="px-10 mt-5">
                    <span class="font-mono text-5xl font-bold">$<?php echo e($plan->price); ?></span>
                    <span class="text-lg font-bold text-gray-500">per month</span>
                </div>

                <div class="px-10 mt-6 pb-9">
                    <p class="text-lg leading-7 text-gray-500"><?php echo e($plan->description); ?></p>
                </div>

                <div class="relative px-10 pt-0 pb-12 mt-auto text-gray-700">

                    <ul class="flex flex-col space-y-2.5">
                        <?php $__currentLoopData = $features; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $feature): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="relative">
                                <span class="flex items-center">
                                    <svg class="w-4 h-4 mr-3 text-green-500 fill-current" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">
                                        <path d="M0 11l2-2 5 5L18 3l2 2L7 18z"></path>
                                    </svg>

                                    <span>
                                        <?php echo e($feature); ?>

                                    </span>
                                </span>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>


                </div>

                <div class="relative">

                    <?php if (!auth()->guest() && auth()->user()->subscribed($plan->slug)) { ?>
                        <div class="inline-flex items-center justify-center w-full px-4 py-4 text-base font-semibold transition duration-150 ease-in-out bg-gray-200 border border-transparent cursor-default text-wave-600 focus:outline-none disabled:opacity-25" disabled>
                            You're subscribed to this plan
                        </div>
                    <?php } else { ?>
                        <?php if (!auth()->guest() && auth()->user()->subscriber()) { ?>
                            <div onclick="switchPlans('<?php echo e($plan->plan_id); ?>', '<?php echo e($plan->name); ?>')" class="inline-flex items-center justify-center w-full px-4 py-4 text-base font-semibold text-white transition duration-150 ease-in-out <?php if($plan->default): ?><?php echo e(' bg-gradient-to-r from-wave-600 to-indigo-500 hover:from-wave-500 hover:to-indigo-400'); ?><?php else: ?><?php echo e('bg-gray-800 hover:bg-gray-700 active:bg-gray-900 focus:border-gray-900 focus:shadow-outline-gray'); ?><?php endif; ?> border border-transparent cursor-pointer focus:outline-none disabled:opacity-25">
                                Switch Plans
                            </div>
                        <?php } else { ?>
                            <div data-plan="<?php echo e($plan->plan_id); ?>" class="inline-flex items-center justify-center w-full px-4 py-4 text-base font-semibold text-white transition duration-150 ease-in-out <?php if($plan->default): ?><?php echo e(' bg-gradient-to-r from-wave-600 to-indigo-500 hover:from-wave-500 hover:to-indigo-400'); ?><?php else: ?><?php echo e('bg-gray-800 hover:bg-gray-700 active:bg-gray-900 focus:border-gray-900 focus:shadow-outline-gray'); ?><?php endif; ?> border border-transparent cursor-pointer checkout focus:outline-none disabled:opacity-25">
                                Get Started
                            </div>
                        <?php } ?>
                    <?php } ?>
                </div>

            </div>
        </div>

    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>

<?php if(config('wave.paddle.env') == 'sandbox'): ?>
    <div class="mx-auto max-w-7xl">
        <div class="w-full p-10 text-gray-600 bg-blue-50">
            <div class="flex items-center pb-4">
                <svg class="mr-2 w-14 h-14 text-wave-500" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M4 4a2 2 0 00-2 2v1h16V6a2 2 0 00-2-2H4z"></path><path fill-rule="evenodd" d="M18 9H2v5a2 2 0 002 2h12a2 2 0 002-2V9zM4 13a1 1 0 011-1h1a1 1 0 110 2H5a1 1 0 01-1-1zm5-1a1 1 0 100 2h1a1 1 0 100-2H9z" clip-rule="evenodd"></path></svg>
                <div class="relative">
                    <h2 class="text-base font-bold text-wave-500">Sandbox Mode</h2>
                    <p class="text-sm text-blue-400">Application billing is in sandbox mode, which means you can test the checkout process using the following credentials:</p>
                </div>
            </div>
            <div class="pt-2 text-sm font-bold text-gray-500">
                Credit Card Number: <span class="ml-2 font-mono text-green-500">4242 4242 4242 4242</span>
            </div>
            <div class="pt-2 text-sm font-bold text-gray-500">
                Expiration Date: <span class="ml-2 font-mono text-green-500">Any future date</span>
            </div>
            <div class="pt-2 text-sm font-bold text-gray-500">
                Security Code: <span class="ml-2 font-mono text-green-500">Any 3 digits</span>
            </div>
        </div>
    </div>
<?php endif; ?>
<?php /**PATH /home/itactcxg/public_html/wave-main/resources/views/themes/tailwind/partials/plans-minimal.blade.php ENDPATH**/ ?>