# Table of contents

* [Introduction](introduction.md)

## Getting started

* [What is Voyager](getting-started/what-is-voyager.md)
* [Prerequisites](getting-started/prerequisites.md)
* [Installation](getting-started/installation.md)
* [Upgrading](getting-started/upgrading.md)
* [Configurations](getting-started/configurations.md)

## BREAD

* [Introduction](bread/introduction.md)
* [Relationships](bread/relationships.md)
* [Formfields](bread/formfields/introduction.md)
  * [Checkbox/Multiple Checkbox/Radio](bread/formfields/checkbox.md)
  * [Coordinates](bread/formfields/coordinates.md)
  * [Date & Time](bread/formfields/date-time.md)
  * [Dropdown](bread/formfields/dropdown.md)
  * [Images](bread/formfields/images.md)
  * [Media Picker](bread/formfields/media-picker.md)
  * [Number](bread/formfields/number.md)
  * [TinyMCE](bread/formfields/tinymce.md)

## Core concepts

* [Routing](core-concepts/routing.md)
* [Media Manager](core-concepts/media-manager.md)
* [Menus and Menu Builder](core-concepts/menus-and-menu-builder.md)
* [Database Manager](core-concepts/database-manager.md)
* [Settings](core-concepts/settings.md)
* [Compass](core-concepts/compass.md)
* [Roles and Permissions](core-concepts/roles-and-permissions.md)
* [Helper methods](core-concepts/helper-methods.md)
* [Multilanguage](core-concepts/multilanguage.md)

## Customization

* [Overriding files](customization/overriding-files.md)
* [Overriding Routes](customization/overriding-routes.md)
* [Additional CSS and JS](customization/additional-css-js.md)
* [Enabling Soft-Delete](customization/enabling-soft-delete.md)
* [Custom relationship attributes](customization/custom-realtionship-attributes.md)
* [Adding custom Formfields](customization/adding-custom-formfields.md)
* [Coordinates](customization/coordinates.md)
* [BREAD accessors](customization/bread-accessors.md)
* [Custom guard](customization/custom-guard.md)
* [Action buttons](customization/action-buttons.md)

## Troubleshooting

* [Using HTTPS on yours site](troubleshooting/using-https.md)
* [Missing required parameter](troubleshooting/missing-required-parameter.md)
